when:
  # Allow both normal runs (push) and UI-triggered runs (manual)
  - event: [push, manual]

steps:
  - name: build-and-push-image
    image: harbor.maximumdirect.net/proxy-dockerhub/woodpeckerci/plugin-kaniko
    environment:
      GITEA_USER:
        from_secret: GITEA_USER
      GITEA_TOKEN:
        from_secret: GITEA_TOKEN
    settings:
      registry: harbor.maximumdirect.net
      repo: build/weatherapi
      auto_tag: true 
      build_args_from_env:
        - GITEA_USER
        - GITEA_TOKEN
      username:
        from_secret: HARBOR_ROBOT_USER
      password:
        from_secret: HARBOR_ROBOT_TOKEN
      cache: true
      cache_repo: build-cache/weatherapi
